import numpy as np

import _dotblas

m = np.random.rand(200).astype(np.float32)
s = np.random.rand(10000,200).astype(np.float32)
print(np.dot(s,m))
print(_dotblas.dot(s,m))
print("")

m = np.asfortranarray(np.random.rand(200).astype(np.float32))
s = np.asfortranarray(np.random.rand(10000,200).astype(np.float32))
print(np.dot(s,m))
print(_dotblas.dot(s,m))
print("")


m = np.random.rand(200).astype(np.float32)
s = np.random.rand(200,10000).astype(np.float32)
print(np.dot(s.T,m))
print(_dotblas.dot(s.T,m))
print("")


m = np.asfortranarray(np.random.rand(200).astype(np.float32))
s = np.asfortranarray(np.random.rand(200,10000).astype(np.float32))
print(np.dot(s.T,m))
print(_dotblas.dot(s.T,m))
print("")


m = np.random.rand(89).astype(np.float32)
s = np.random.rand(10000,89).astype(np.float32)
print(np.dot(s,m))
print(_dotblas.dot(s,m))
print("")


m = np.asfortranarray(np.random.rand(89).astype(np.float32))
s = np.asfortranarray(np.random.rand(10000,89).astype(np.float32))
print(np.dot(s,m))
print(_dotblas.dot(s,m))
print("")

